=== debian/changelog ===
x2gobroker (0.0.4.0-3) unstable; urgency=medium

  * debian/patches:
    + Add 0001_sbin-x2gobroker-keygen-Fix-call-to-x2gobroker.utils..patch.
     Fix call to x2gobroker.utils.get_key_fingerprint_with_colons(). Thanks
     to Linnea Skogtvedt for spotting and reporting this.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Feb 2019 19:41:33 +0100

x2gobroker (0.0.4.0-2) unstable; urgency=medium

  * debian/control:
    + Fix Vcs-*: fields. Copy+paste flaw (x2goclient -> x2gobroker).
  * debian/rules:
    + Only evoke doc cleanup, if Makefile.docupload is present. This fixes
      src:package builds in debian/-folder-only packaging repos.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Feb 2019 08:55:02 +0100

x2gobroker (0.0.4.0-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #906073).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Feb 2019 11:44:34 +0100
