## x2gobroker 0.0.4.1

=== Makefile ===
--- 
+++ 
@@ -182,6 +182,9 @@
 	${INSTALL_FILE} etc/x2gobroker-wsgi.apache.{conf,vhost} \
 	        "${DESTDIR}${ETCDIR}/"
 	${INSTALL_FILE} logrotate/x2gobroker-wsgi "${DESTDIR}/etc/logrotate.d/"
+	mkdir -p "${DESTDIR}${LIBDIR}/x2gobroker/wsgi"
+	${INSTALL_SYMLINK} "${BINDIR}/x2gobroker" \
+	        "${DESTDIR}${LIBDIR}/x2gobroker/wsgi/x2gobroker-wsgi"
 
 	# x2gobroker
 	mkdir -p "${DESTDIR}${BINDIR}" "${DESTDIR}${SBINDIR}" \
