=== debian/changelog ===
x2gobroker (0.0.4.1-1) unstable; urgency=medium

  * New upstream release (with specific fixes, targetting Debian buster).
    - Make builds reproducible. Thanks to Chris Lamb for providing a patch.
      (Closes: #922137).
    - Correctly initialize the loggers when using x2gobroker via WSGI in
      Apache2. (Closes: #922042).
    - x2gobroker-wsgi: Place WSGI script symlink (pointing to
      <BINDIR>/x2gobroker) into a dedicated folder and configure Apache2
      to use WSGIScriptAlias from that folder. (Closes: #922040).
    - Permit `asyncio` to create event loops on any thread (required on
      multithreaded WSGI servers using Python 3). (Closes: #925102).
    - Make remote agent's SSH HostKey policy configurable globally, backend-wise
      and per session profile. Fallback to RejectPolicy by default.
      (Closes: #922314).
    - x2gobroker/brokers/base_broker.py: Log IP address of authentication
      attempts. (Closes: #922458).
  * debian/patches:
    + Drop all patches. All changes applied upstream.
  * debian/changelog:
    + Fix indentation in previous changelog stanza.
  * debian/po:
    + Add French debconf translation. Thanks to Jean-Pierre Giraud. (Closes:
      #923381).
    + Add Dutch debconf translation. Thanks to Frans Spiesschaert. (Closes:
      #922774).
    + Add Portuguese debconf translation file. Thanks to Américo Monteiro.
      (Closes: #922527).
  * debian/x2gobroker-wsgi.install:
    + Add WSGIScriptAlias symlink path.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Apr 2019 11:24:49 +0200
