=== debian/control ===
Source: x2gobroker
Section: misc
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Mihai Moldovan <ionic@ionic.de>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 cdbs (>= 0.4.49~),
 dpkg-dev (>= 1.14.31~),
 python3 (>= 2.6.5-0~),
 python3-setuptools,
 python3-netaddr,
 python3-nose,
 python3-paramiko,
 python3-paste,
 python3-sphinx,
 python3-tornado,
Standards-Version: 4.3.0
Homepage: https://wiki.x2go.org/
Vcs-Git: https://salsa.debian.org/debian-remote-team/x2gobroker.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2gobroker/

Package: x2gobroker
Architecture: all
Depends:
 ${misc:Depends},
 python3,
 python3-setproctitle,
 python3-tornado,
 python3-wsgilog,
 python3-x2gobroker (>= ${source:Version}), python3-x2gobroker (<< ${source:Version}.1~),
Suggests:
 apache2 | httpd,
Description: X2Go Session Broker (executable)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The session broker is a server tool for X2Go that tells your X2Go Client
 application in a terminal server cluster what servers and session types are
 most appropriate for the user in front of the X2Go terminal.
 .
 A session broker is most useful in load balanced X2Go server farms.
 .
 This package contains the x2gobroker executable.

Package: x2gobroker-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-x2gobroker (<< 0.0.4.0~),
Replaces:
 python-x2gobroker (<< 0.0.4.0~),
Description: X2Go Session Broker (common files)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The session broker is a server tool for X2Go that tells your X2Go Client
 application in a terminal server cluster what servers and session types are
 most appropriate for the user in front of the X2Go terminal.
 .
 A session broker is most useful in load balanced X2Go server farms.
 .
 This package contains x2gobroker common files.

Package: python3-x2gobroker
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 python3,
 python3-daemon,
 python3-lockfile,
 python3-pampy,
 python3-netaddr,
 python3-tornado,
 python3-paramiko,
 python3-urllib3,
 x2gobroker-common (>= ${source:Version}),
Recommends:
 python3-simplejson,
Breaks:
 python-x2gobroker (<< 0.0.4.0),
Replaces:
 python-x2gobroker (<< 0.0.4.0),
Description: X2Go Session Broker (Python3 modules)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The session broker is a server tool for X2Go that tells your X2Go Client
 application in a terminal server cluster what servers and session types are
 most appropriate for the user in front of the X2Go terminal.
 .
 A session broker is most useful in load balanced X2Go server farms.
 .
 This package contains common files needed by all X2Go session
 brokers being package for this distribution.


Package: python-x2gobroker-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 libjs-jquery,
 libjs-underscore,
Description: X2Go Session Broker (Python3 module documentation)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The session broker is a server tool for X2Go that tells your X2Go Client
 application in a terminal server cluster what servers and session types are
 most appropriate for the user in front of the X2Go terminal.
 .
 A session broker is most useful in load balanced X2Go server farms.
 .
 This package contains the API documentation of the various X2Go Broker
 backends and shows how to extend the X2Go Session Broker.

Package: x2gobroker-authservice
Architecture: all
Depends:
 ${misc:Depends},
 adduser,
 lsb-base,
 python3,
 python3-setproctitle,
 python3-pampy,
 python3-x2gobroker (>= ${source:Version}), python3-x2gobroker (<< ${source:Version}.1~),
Suggests:
 x2gobroker-daemon,
Description: X2Go Session Broker (PAM authentication service)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The session broker is a server tool for X2Go that tells your X2Go Client
 application in a terminal server cluster what servers and session types are
 most appropriate for the user in front of the X2Go terminal.
 .
 A session broker is most useful in load balanced X2Go server farms.
 .
 This package contains the authentication service
 against the PAM system.

Package: x2gobroker-loadchecker
Architecture: all
Depends:
 ${misc:Depends},
 adduser,
 lsb-base,
 python3,
 python3-setproctitle,
 python3-x2gobroker (>= ${source:Version}), python3-x2gobroker (<< ${source:Version}.1~),
Suggests:
 x2gobroker-daemon,
Description: X2Go Session Broker (load checker service)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The session broker is a server tool for X2Go that tells your X2Go Client
 application in a terminal server cluster what servers and session types are
 most appropriate for the user in front of the X2Go terminal.
 .
 A session broker is most useful in load balanced X2Go server farms.
 .
 This package contains the load checker service required for broker setups
 with dynamic load balancing.

Package: x2gobroker-daemon
Architecture: all
Depends:
 ${misc:Depends},
 adduser,
 lsb-base,
 x2gobroker (>= ${source:Version}), x2gobroker (<< ${source:Version}.1~),
Recommends:
 x2gobroker-authservice,
Suggests:
 x2gobroker-loadchecker,
Description: X2Go Session Broker (standalone daemon)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The session broker is a server tool for X2Go that tells your X2Go Client
 application in a terminal server cluster what servers and session types are
 most appropriate for the user in front of the X2Go terminal.
 .
 A session broker is most useful in load balanced X2Go server farms.
 .
 This package contains the start-stop script that
 installs the X2Go Session Broker as standalone
 daemon.

Package: x2gobroker-wsgi
Architecture: all
Depends:
 ${misc:Depends},
 python3,
 adduser,
 x2gobroker (>= ${source:Version}), x2gobroker (<< ${source:Version}.1~),
Recommends:
 libapache2-mod-wsgi-py3,
Description: X2Go Session Broker (WSGI)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The session broker is a server tool for X2Go that tells your X2Go Client
 application in a terminal server cluster what servers and session types are
 most appropriate for the user in front of the X2Go terminal.
 .
 A session broker is most useful in load balanced X2Go server farms.
 .
 This package contains an Apache2 configuration that
 installs the X2Go Session Broker as a WSGI application
 into a running Apache2 httpd.

Package: x2gobroker-agent
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3,
 python3-setproctitle,
 python3-paramiko,
 perl,
 adduser,
 libfile-which-perl,
Suggests:
 x2goserver (>= 4.0.1.16-0~),
Description: X2Go Session Broker (remote agent)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The session broker is a server tool for X2Go that tells your X2Go Client
 application in a terminal server cluster what servers and session types are
 most appropriate for the user in front of the X2Go terminal.
 .
 A session broker is most useful in load balanced X2Go server farms.
 .
 This package contains a setuid agent command that extends X2Go Session Broker
 functionality. It has to be installed on X2Go Servers that shall be
 controlled via a session broker.
 .
 The broker agent provides means to the X2Go Session Broker for controlling
 the X2Go Server it is installed on (e.g. suspend/terminate sessions, deploy
 SSH login keys, detect server load, detect running/suspended sessions
 of connecting users, etc.).
 .
 WARNING: This package installs a setuid wrapper
 (/usr/lib/x2go/broker/x2gobroker-agent) on your system. This setuid wrapper
 aims to be a secure replacement for the deprecated suidperl executable that
 was removed from Perl (>= 5.12).
 .
 This wrapper is only able to execute the Perl script
 /usr/lib/x2go/broker/x2gobroker-agent.pl. For running properly,
 x2gobroker-agent.pl needs setuid root privileges.
 .
 If you hesitate to install this package, study the code of the named wrapper
 and the named Perl script beforehand. Note that the X2Go session broker will
 lack functionality, but it will work without this x2gobroker-agent component
 installed on your to-be-managed X2Go servers.

Package: x2gobroker-ssh
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 x2gobroker (>= ${source:Version}), x2gobroker (<< ${source:Version}.1~),
Description: X2Go Session Broker (SSH broker)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The session broker is a server tool for X2Go that tells your X2Go Client
 application in a terminal server cluster what servers and session types are
 most appropriate for the user in front of the X2Go terminal.
 .
 A session broker is most useful in load balanced X2Go server farms.
 .
 This add-on package provides fully-featured SSH brokerage
 support (with access to broker agents on remote X2Go
 Servers).
