=== debian/changelog ===
x2gobroker (0.0.4.3-4.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop CDBS from build (Closes: #1111783)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 31 Aug 2025 11:52:06 +0200

x2gobroker (0.0.4.3-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Depends: python3-wsgilog. (Closes: #1087443)

 -- Bastian Germann <bage@debian.org>  Thu, 24 Apr 2025 13:07:31 +0200

x2gobroker (0.0.4.3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace Nose with Pytest (Close: #1018666)
  * Add dependency on python3-pyasyncore (Closes: #1082881)
  * Add dependency on python3-six (Closes: #1082884)
  * Add a runtime dependency on python3-setuptools (Closes: #1082883)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 19 Feb 2025 12:45:09 +0100

x2gobroker (0.0.4.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 09:56:26 +0200

x2gobroker (0.0.4.3-4) unstable; urgency=medium

  * debian/*.postrm:
    + De-duplicate delgroup calls. Thanks to Patrice Duroux for highlighting
      this. (Releates to #1035847).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 May 2023 10:54:13 +0200

x2gobroker (0.0.4.3-3) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/*.postrm:
    + Ignore failures when evoking (possibly not installed) deluser. (Closes:
      #1035847).

  [ Mike Gabriel ]
  * debian/po:
    + Add Spanish debconf translation. Thanks to Camaleón. (Closes: #987522).
    + Add Brazilian Portuguese debconf translation. Thanks to Paulo Henrique de
      Lima Santana. (Closes: #1026413).
  * debian/control:
    + Drop from D: lsb-base (obsoleted package). Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 May 2023 21:27:13 +0200

x2gobroker (0.0.4.3-2) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/patches:
    + Add 2001_no_2to3_supported_any_more.patch. Don't run setup.py with
      use_2to3 anymore. Support for it has been dropped. (Closes: #997604).
    + Forward patches 1003 and 2001.
    + Add 0001_man-man1-x2gobroker.1-Fix-apostrophe-usage-drop-prec.patch.
      Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Nov 2021 15:17:01 +0100

x2gobroker (0.0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add D (x2gobroker-ssh): procps.
  * debian/patches:
    + Add 1003_handle-offline-builds.patch. Enable offline builds.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/x2gobroker-ssh.postinst:
    + Only invalidate nscd group cache if nscd is running / in use. (See X2Go
      upstream bug #1458).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Nov 2020 10:30:52 +0100
