=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
  Mike Gabriel <sunweaver@debian.org>,
  Mihai Moldovan <ionic@ionic.de>,
 Build-Depends:
- debhelper (>= 10),
- dh-python,
- cdbs (>= 0.4.49~),
- dpkg-dev (>= 1.14.31~),
- python3 (>= 2.6.5-0~),
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3,
+ python3-pyasyncore,
  python3-setuptools,
  python3-netaddr,
- python3-nose,
  python3-paramiko,
  python3-paste,
+ python3-pytest <!nocheck>,
+ python3-six,
  python3-sphinx,
  python3-tornado,
-Standards-Version: 4.3.0
+Standards-Version: 4.7.2
 Homepage: https://wiki.x2go.org/
 Vcs-Git: https://salsa.debian.org/debian-remote-team/x2gobroker.git
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2gobroker/
@@ -28,9 +28,11 @@
 Depends:
  ${misc:Depends},
  python3,
+ python3-pyasyncore,
  python3-setproctitle,
+ python3-setuptools,
+ python3-six,
  python3-tornado,
- python3-wsgilog,
  python3-x2gobroker (>= ${source:Version}), python3-x2gobroker (<< ${source:Version}.1~),
 Suggests:
  apache2 | httpd,
@@ -54,6 +56,7 @@
 
 Package: x2gobroker-common
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Breaks:
@@ -121,6 +124,7 @@
 Package: python-x2gobroker-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  libjs-jquery,
@@ -149,7 +153,6 @@
 Depends:
  ${misc:Depends},
  adduser,
- lsb-base,
  python3,
  python3-setproctitle,
  python3-pampy,
@@ -180,7 +183,6 @@
 Depends:
  ${misc:Depends},
  adduser,
- lsb-base,
  python3,
  python3-setproctitle,
  python3-x2gobroker (>= ${source:Version}), python3-x2gobroker (<< ${source:Version}.1~),
@@ -210,7 +212,6 @@
 Depends:
  ${misc:Depends},
  adduser,
- lsb-base,
  x2gobroker (>= ${source:Version}), x2gobroker (<< ${source:Version}.1~),
 Recommends:
  x2gobroker-authservice,
@@ -323,6 +324,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  adduser,
+ procps,
  x2gobroker (>= ${source:Version}), x2gobroker (<< ${source:Version}.1~),
 Description: X2Go Session Broker (SSH broker)
  X2Go is a server based computing environment with
