=== debian/rules ===
#!/usr/bin/make -f

# Copyright (C) 2012-2018 by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the
# Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

export PREFIX=/usr
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

%:
	dh $@ --buildsystemd=pybuild

# somehow, the symlinks do not make it into the upstream tarball...
execute_before_dh_auto_build:
	ln -fs x2gobroker.1 man/man1/x2gobroker-daemon.1
	ln -fs x2gobroker.1 man/man1/x2gobroker-ssh.1

execute_after_dh_auto_build:
	make -f Makefile.docupload docbuild
